<?php
/**
 * Manage databases.
 *
 * PHPGEN is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * PHPGEN is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PHPGEN; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @copyright   EasySoft R&D Team (C) 2006
 * @author      Chunsheng Wang <wwccss@263.net>
 * @link        http://www.phpgen.com
 * @package     Table
 * @version     $Id: ManageDB.php,v 1.5 2006/08/15 15:54:36 wangcs Exp $
 */
require_once("../Include/Init.php");
if($_POST)
{
    foreach($_POST["Tables"] as $TableName => $TableLabel)
    {
        $Tables[$TableName]["Label"] = !empty($TableLabel) ? $TableLabel : $TableName;
    }
    tblSaveIndexFile($_SESSION["UserName"], $_SESSION["ProjectID"], array2String($Tables, "Tables", "Tables"));
}
else
{
    /* Get table list from db, not from the IndexTPL.php, thus the table list is always new. */
    $UserDB = prjConnectDB($_SESSION["UserName"], $_SESSION["ProjectID"]);
    $Tables = dbGetTables($UserDB);
    
    /* Get the user defined tables list. */
    $DefinedTables = tblGetList($_SESSION["UserName"], $_SESSION["ProjectID"]);
    
    /* Set label. */    
    foreach($Tables as $Key => $TableName)
    {
        unset($Tables[$Key]);
        $Tables[$TableName]["Label"] = empty($DefinedTables[$TableName]["Label"]) ? $TableName : $DefinedTables[$TableName]["Label"];
    }
}

$MyTPL->assign("DSN",     prjGetDSN($_SESSION["UserName"], $_SESSION["ProjectID"]));
$MyTPL->assign("Tables",  $Tables);
$MyTPL->assign("Showing", $_REQUEST["Showing"]);
$MyTPL->display($_TPL["TplFile"]);
?>